import { action, computed, observable } from 'mobx'
import { persist } from 'mobx-persist'
import { serializable, list, object } from 'serializr'

class CounterStore {
    @persist @observable count = 0;
    
    @computed
    get getPow() {
        return this.count * this.count
    } 

    @action
    increaseNum () {
        this.count = ++this.count
    }

    @action
    decrease () {
        this.count = --this.count
    }
}
const counterStore = new CounterStore
export default counterStore