

import React from 'react';
import { Switch, Route, Router, Redirect  } from 'react-router-dom'
import routeTree from './router'
import history from './history'
export default function RootRouter (props) {
    return (
        <Router history={history}>
            <Switch>
                { 
                    routeTree.map(({ path, name, component})=> {
                        return (
                            <Route key={name} exact path={path} component={component} />
                        )
                    })
                }
                <Route path="/404" component={() => { return <h1>404</h1>}}/>
                <Redirect to='/404' />
            </Switch>
        </Router>
    );
  
}